Bug 1421811 - [DOCS] The ansible hosts file for the standalone registry is missing openshift_master_default_subdomain
[DOCS] The ansible hosts file for the standalone registry is missing openshif...
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Brandi
Johnny Liu
Vikram Goyal
Depends On:
  Show dependency treegraph
Reported: 2017-02-13 13:15 EST by ldomb
Modified: 2017-03-27 08:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-03-27 08:48:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ldomb 2017-02-13 13:15:42 EST
Document URL: https://docs.openshift.com/container-platform/3.4/install_config/install/stand_alone_registry.html



Section Number and Name: Advanced Installation for Stand-alone Registries

Example 1. All-in-one Stand-alone Registry Inventory File (ocpdoc)

Example 2.5. All-in-one Stand-alone Registry Inventory File (rhdoc)

Describe the issue: the hosts file is missing the openshift_master_default_subdomain=reg.local.domb.com which causes the install to create an internal route instead of exposing it.

Suggestions for improvement: 

Add openshift_master_default_subdomain=$appdomain to the ansible hosts file

Additional information:
Comment 1 Brandi 2017-03-08 19:56:10 EST
Hi Wei, 

I've added 'openshift_master_default_subdomain=$appdomain' to the Ansible hosts file in PR#3905[1]. Please verify that I put it in the correct location. 

Thank you!

Comment 2 Johnny Liu 2017-03-08 22:10:48 EST
The modification in the above PR seem like not in right place.

There are two places need to be updated in https://docs.openshift.com/container-platform/3.4/install_config/install/stand_alone_registry.html#registry-advanced-installation section: "Example 1" and "Example 2".

Should add the following line to "[OSEv3:vars]" section just like https://docs.openshift.com/container-platform/3.4/install_config/install/advanced_install.html#configuring-cluster-variables, but not add it onto node line.
Comment 3 Brandi 2017-03-15 16:24:05 EDT
Hi Johnny, 

Thank you for your feedback. I updated PR#3905[1] accordingly. Please take a look when you get a chance. 

Comment 4 Johnny Liu 2017-03-16 02:40:15 EDT
It looks good to me.

Note You need to log in before you can comment on or make changes to this bug.